petsc-3.12.4 2020-02-04
Report Typos and Errors

# MATPREALLOCATOR

MATPREALLOCATOR = "preallocator" - A matrix type to be used for computing a matrix preallocation.

### Operations Provided

MatSetValues() - Options Database Keys:
-mat_type preallocator -sets the matrix type to "preallocator" during a call to MatSetFromOptions()

### See Also

Mat

### Level

advanced

### Location

src/mat/impls/preallocator/matpreallocator.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages